Is it safe to assume that config files work with all 2.x versions?



  • Hi Everyone,

    I am looking to put the 20 embedded routers into production over the year. However, these might not be put into productio at the same time. I want to create a config template right now based on pfSense 2.0.1. Would this template work PERFECTLY fine with version 2.0.2, 2.0.3, or any other subsequent versions? Does the dev team usually not change the parameters of the config file (doesn't add, delete, or modify anything)?

    Since, I want to create a universal config template, it's important for me to know the limitations of the config files.

    Thanks,



  • anything that changes going forward is automatically upgraded. Downgrading of configs isn't necessarily supported (depends on version), going forward is always fine.



  • Thanks for clarification cmb. This is a REALLY good practice.


Locked